local State_2 = {
    transitionShader = love.graphics.newShader[[

        extern float time;
        extern Image prevTex;

        const float START_SPEED  = 3.0;
        const float MELT_SPEED   = 2.0;

        vec4 effect(vec4 color, Image tex, vec2 texCoords, vec2 screenCoords) {

            vec2 p = texCoords;

            float d = START_SPEED * time;
            if(d > 1.) d = 1.;

            p.y -= d * 0.35 * fract(sin(dot(vec2(p.x, .0), vec2(12.9898, 78.233)))* 43758.5453);
            if(d == 1.) p.y -= MELT_SPEED * (time - d/START_SPEED);

            if(p.y > 0.0) return Texel(prevTex, p);
            else return Texel(tex, texCoords);

        }

    ]]
}

function State_2:enter()
    -- You can not put this function but otherwise there will be no transition
end

function State_2:update(dt)
    -- Needed for transition
end

function State_2:keyreleased()
    Gamestate.switch(State_3)
end

function State_2:draw()
    love.graphics.setColor(0,0,1)
    love.graphics.rectangle("fill",0,0,love.graphics.getDimensions())
    love.graphics.setColor(1,1,1)
    love.graphics.print("State 2 !", 300,300,0,4)
end

return State_2